Subject: [Shop-talk] OT - Triumph TR2 TR3 ?

From: "Eric J Russell" <[email-masked]>
Date: Fri, 13 Jun 2014 21:59:25 -0400

Off Topic question. Anyone have a TR2 or TR3? I'd like to know the
distance-apart of the dash mounted rear view mirror's screws.

My reason for asking is that I am wondering it it'd fit my MGA. I am vintage
racing my MGA but the roll cage has a bar right above the rear tonneau panel.
The TR2 TR3's mirror has a longer stem which would allow me a better view.

TIA,

Eric Russell
Mebane, NC
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive